OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectInList Class Reference

A SelectInList kind Selection selects a List of an Entity,
which is composed of single Entities
To know the list on which to work, SelectInList has two
deferred methods : NbItems (inherited from SelectAnyList) and
ListedEntity (which gives an item as an Entity) which must be
defined to get a List in an Entity of the required Type (and
consider that list is empty if Entity has not required Type)
As for SelectAnyList, if a type of Entity defines several
lists, a given sub-class of SelectInList is attached on one
.

`#include <IFSelect_SelectInList.hxx>`

Inheritance diagram for IFSelect_SelectInList:

[legend]

## Public Member Functions
virtual Standard_EXPORT Handle_Standard_Transient | ListedEntity (const Standard_Integer num, const Handle(Standard_Transient)&ent) const =0
| Returns an Entity, given its rank in the list .
Standard_EXPORT void | FillResult (const Standard_Integer n1, const Standard_Integer n2, const Handle(Standard_Transient)&ent, Interface_EntityIterator &result) const
| Puts into the result, the sub-entities of the list, from n1 to n2 included. Remark that adequation with Entity's type and length of list has already been made at this stage Called by RootResult; calls ListedEntity (see below) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Member Function Documentation

Standard_EXPORT void IFSelect_SelectInList::FillResult | ( | const Standard_Integer | n1,
|  | const Standard_Integer | n2,
|  | const Handle(Standard_Transient)& | ent,
|  | Interface_EntityIterator & | result
| ) | const`[virtual]`

| Implements IFSelect_SelectAnyList.

Standard_EXPORT const IFSelect_SelectInList::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectAnyList.

virtual Standard_EXPORT Handle_Standard_Transient IFSelect_SelectInList::ListedEntity | ( | const Standard_Integer | num,
|  | const Handle(Standard_Transient)& | ent
| ) | const`[pure virtual]`

The documentation for this class was generated from the following file:

- IFSelect_SelectInList.hxx